Open Infrastructure - Task #7625

Manually fix consul+node_exporter on new router1.place6
01/18/2020 01:02 PM - Nico Schottelius
Category: Estimated time: 0.00 hour
Target version:
Description

[13:01] routerl.place6:~# /etc/init.d/consul start

/etc/init.d/consul: .: line 39: can't open '/lib/lsb/init-functions': No such file or directory
[13:02] routerl.place6:~# /etc/init.d/consul.apk-new start

* Checking /etc/consul
Config validation failed: Multiple private IPv4 addresses found. Please configure one with 'bind'
and/or 'advertise'.

[ 48 1

* checkpath: owner "consul.apk-new:consul.apk-new' not found

* ERROR: consul.apk-new failed to start

[13:02] routerl.place6:~#

Follow up

* No init script deployment on alpine

e Modify data_dir

¢ Different configuration directory on alpine

¢ Should use the new interface template go syntax, however it did not work on testing

History

#1 - 01/18/2020 01:03 PM - Nico Schottelius

- Description updated

#2 - 01/18/2020 01:26 PM - Nico Schottelius

Use alpine's init script:

[13:02] routerl.place6:~# mv /etc/init.d/consul.apk-new /etc/init.d/consul
[13:03] routerl.place6:~# cat /etc/conf.d/consul

# Consul startup

consul_opts="agent -config-dir=/etc/consul"

[13:04] routerl.place6:~#

Changing path to what we used on debian

[13:04] routerl.place6:/etc/consul# vi /etc/conf.d/consul
[13:05] routerl.place6:/etc/consul# cat /etc/conf.d/consul
# Consul startup
consul_opts="agent -config-dir=/etc/consul/conf.d"
[13:05] routerl.place6:/etc/consul# /etc/init.d/consul start
* Caching service dependencies
[ ok ]
* Checking /etc/consul
Config validation failed: Multiple private IPv4 addresses found. Please configure one with 'bind' and/or 'adve
rtise'. [ ]
* /var/log/consul.log: creating file
* /var/log/consul.log: correcting owner
* Starting consul

[13:05] routerl.place6:/etc/consul#

[13:06] routerl.place6:/etc/consul# /etc/init.d/consul start
* Checking /etc/consul
Config validation failed: Multiple private IPv4 addresses found. Please configure one with 'bind' and/or 'adve
rtise’'. [ ]
* Starting consul
[ ok 1]
[13:06] routerl.place6:/etc/consul# cat conf.d/config.json
{
"data_dir": "/var/lib/consul"
,"bind_addr": "2a0a:e5c0:2:15::5"
,"client_addr": "2a0a:e5c0:2:15::5 ::1 127.0.0.1"
, "datacenter": "place6"
,"disable_remote_exec": true
,"disable_update_check": true
,"encrypt": "xx=="
,"retry_join": ["blackl.place6.ungleich.ch","black2.place6.ungleich.ch","black3.place6.ungleich.ch"]
}
[13:06] routerl.place6:/etc/consul# consul --version
Consul 1.6.2
Protocol 2 spoken by default, understands 2 to 3 (agent will automatically use protocol >2 when speaking to co
mpatible agents)
[13:06] routerl.place6:/etc/consul#

Seem like old bind_addr now supports interfaces - much nicer!

e See https://www.consul.io/docs/agent/options.html

[13:25] routerl.place6:/etc/consul# /etc/init.d/consul restart

* Stopping consul ... [ ok ]

* Checking /etc/consul
Config validation failed: Multiple private IPv4 addresses found. Please configure one with 'bind' and/or 'adve
rtise'. L 88 1

* Starting consul ... [ ok 1]
[13:25] routerl.place6:/etc/consul# mv conf.d/*json

[13:25] routerl.place6:/etc/consul# /etc/init.d/consul restart

* Stopping consul ... [ ok 1]
* Checking /etc/consul

Configuration is valid! [ ok ]
* Starting consul ... [ ok 1]

[13:25] routerl.place6:/etc/consul#

However it does not work -- at the moment hard coded to the routers ipv6 address.
Also the conf.d change does not seem to work.

#3 - 01/18/2020 01:27 PM - Nico Schottelius

- Subject changed from Manually fix consul on new router1.place6 to Manually fix consul+node_exporter on new router1.place6

[13:25] routerl.place6:/etc/consul# ps aux |grep node

14238 root 0:00 grep node

[13:26] routerl.place6:/etc/consul#

[13:26] routerl.place6:/etc/consul# /etc/init.d/node-exporter start

* Starting node-exporter ... [ ok 1]
[13:26] routerl.place6:/etc/consul# ps aux |grep node

14259 promethe 0:00 /usr/bin/node_exporter

14272 root 0:00 grep node

[13:26] routerl.place6:/etc/consul#

[13:27] routerl.place6:/etc/consul# curl -s localhost:9100/metrics | wc -1
1936
[13:27] routerl.place6:/etc/consul#

#4 - 01/18/2020 01:35 PM - Nico Schottelius

[13:30] routerl.place6:/etc/consul# consul members

Error retrieving members: Get http://127.0.0.1:8500/v1/agent/members?segment=_all: dial tcp 127.0.0.1:8500: co
nnect: connection refused

[13:30] routerl.placeé6:/etc/consul# netstat -anp | grep consul

Seems to crash when running under supervise (probably permission error):

Jan 18 13:31:36 routerl daemon.info supervise-daemon[15251]: Child command line: /usr/sbin/consul agent -confi
g-dir=/etc/consul

Jan 18 13:31:36 routerl daemon.info supervise-daemon[15323]: Supervisor command line: supervise-daemon consul
--start --stdout /var/log/consul.log --stderr /var/log/consul.log --pidfile /run/consul.pid --respawn-delay 10
—-respawn-max 0 —--healthcheck-timer 60 --user cons

Jan 18 13:31:36 routerl daemon.info supervise-daemon[15325]: Child command line: /usr/sbin/consul agent —-confi
g-dir=/etc/consul

Jan 18 13:31:36 routerl daemon.warn supervise-daemon[15324]: /usr/sbin/consul, pid 15325, exited with return c
ode 1

Jan 18 13:31:46 routerl daemon.info supervise-daemon[15353]: Child command line: /usr/sbin/consul agent -confi
g-dir=/etc/consul

Jan 18 13:31:47 routerl daemon.warn supervise-daemon[15324]: /usr/sbin/consul, pid 15353, exited with return c
ode 1

Jan 18 13:31:49 routerl auth.info sshd[15231]: Connection closed by 123.207.78.83 port 44658 [preauth]
Jan 18 13:31:49 routerl auth.notice sshguard[4977]: Attack from "123.207.78.83" on service SSH with danger 2.
Jan 18 13:31:50 routerl daemon.warn bird: I/0 loop cycle took 5291 ms for 1 events

Jan 18 13:31:57 routerl daemon.info supervise-daemon[15375]: Child command line: /usr/sbin/consul agent -confi
g-dir=/etc/consul

Jan 18 13:31:57 routerl daemon.warn supervise-daemon[15324]: /usr/sbin/consul, pid 15375, exited with return c
ode 1

#5 - 01/18/2020 01:35 PM - Nico Schottelius

- Description updated

#6 - 12/07/2021 12:52 AM - Nico Schottelius

- Status changed from In Progress to Rejected
